 [![Codacy Badge](https://codacy.autodesk.com:16006/project/badge/Grade/ea9f01e44c3c4301953dd792b4f6e285)](https://codacy.autodesk.com/app/BIM-360-LMV/BIM360Viewer?utm_source=git.autodesk.com&amp;utm_medium=referral&amp;utm_content=Alex/BIM360Viewer&amp;utm_campaign=Badge_Grade)

## Setup
1. Clone the repo
2. Install nvm by running: ```curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.1/install.sh | bash```.
3. Run ```nvm use``` to switch to node version 8.9.4.
4. Run ```npm install``` from the root of the repo.

## Start a Local Server
- The following commands build non-minified javascript files for debugging purposes.
- The default port is always 8080.
* ```npm run dev``` - Runs a local development server for web clients.
* ```npm run dev:testbed``` - Runs a local testbed for web clients.
* ```npm run dev:mobile``` - Runs a local development server for mobile clients (iOS or Android).

You can choose which environment to use. Just add the desired env parameter in the command line (default is production)
* npm run dev:testbed production
* npm run dev:testbed staging
* npm run dev:testbed qa
* npm run dev:testbed dev

## Run Unit Tests
* ```npm run test``` - Runs the karma engine, which in turn runs all unit tests and keeps listening for changes.

## Build for Production
* ```npm run build``` - Cleans the build folder, and creates new build artifacts for web clients.
* ```npm run build:mobile``` - Cleans the build folder, and creates new build artifacts for mobile clients (iOS or Android).
